CMCIClientFT.inovkeMethod(3)

NAME
CMCIClientFT.invokeMethod() - Invoke a named method of an instance

SYNOPSIS
#include <cmci.h>

CMPIEnumeration*
CMCIClientFT.invokeMethod(CMCIClient*cl,
CMPIObjectPath*op,
constchar*method,
CMPIArgs*in,
CMPIArgs*out,
CMPIStatus*rc);

DESCRIPTION
Invoke a named method of an instance defined by the op reference.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the reference that contains namespace and classname components, method pointer to string that identifies the class method, in pointer to the input arguments, out pointer to the output parameters, and rc which returns the operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.invokeMethod() function returns the CMPIData value returned by the method invoked and sets a successful operation status code in rc. When unsuccessful it returns a NULL pointer and sets the operation status error code and corresponding error string in rc.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIEnumeration(3), CMPIObjectPath(3), CMPIArgs(3), CMPIStatus(3)